Subject: bug#27919: 25.2.50; dired + eshell-ls: fallback to external ls fails

From: Glenn Morris <[email-masked]>
Date: Thu, 03 Aug 2017 17:35:31 -0400

John Wiegley wrote:

>> I think an user who want to set `eshell-ls-use-in-dired' non-nil is likely
>> someone with no external 'ls' installed.
>
> I added eshell-ls-use-in-dired long ago, to support a Windows machine I was
> working on.  At least the bug report now makes much more sense, thank you.

Why is it desirable to use eshell ls with dired instead of ls-lisp?
Maybe it would be better to remove it rather than fix it.
(It usually goes well when I suggest this...)